# Method: customers.tables.get

- [HTTP request](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.tables/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.tables/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.tables/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.tables/get#body.request_body)
- [Response body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.tables/get#body.response_body)
- [Authorization scopes](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.tables/get#body.aspect)

Retrieves the requested Ads Data Hub table.

### HTTP request

`GET https://adsdatahub.googleapis.com/v1/{name=customers/*/tables/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Full resource name, e.g. 'customers/123/tables/adh.google_ads_impressions. |

### Query parameters

| Parameters ||
|---|---|
| `adsDataCustomerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. Specific linked Ads Data Hub customer ID that owns the ads data used by the table. Only relevant if the table is an ADH table with ads data. Defaults to all linked customers. |
| `matchDataCustomerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. Specific linked Ads Data Hub customer ID that owns the match data for the query. Only relevant if the table is an ADH table with match data. Defaults to all linked customers. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.tables#Table`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`